org.apache.lucene.facet.range

## Class Range

- java.lang.Object
- - org.apache.lucene.facet.range.Range

Direct Known Subclasses:
  DoubleRange, LongRange

    public abstract class Range
    extends Object

Base class for a single labeled range.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

Fields
`String` `label` Label that identifies this range.

### Constructor Summary

Constructors
`protected` `Range(String label)` Sole constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `failNoMatch()` Invoke this for a useless range.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### label

    public final String label

Label that identifies this range.

### Constructor Detail

#### Range

    protected Range(String label)

Sole constructor.

### Method Detail

#### failNoMatch

    protected void failNoMatch()

Invoke this for a useless range.